<?php

namespace App\Classes\Modules\Bookings\Services;


use App\Classes\ValueObjects\Constants\ApprovalStatus;
use App\Classes\ValueObjects\Constants\TransactionType;
use App\Models\Booking;
use Carbon\Carbon;

class CalculatesBookingPaidAmount
{

    public function execute(Booking $booking){
        return $booking->transactions()->payments()->complete()->sum('original_amount');
    }

}